using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HBA_ITDNW07
{
    
    public partial class frmResults : Form
    {
        int pcCount = 220;
        int fileCount = 250;
        int contentCount = 275;

        Data_Access data = new Data_Access();
        public LinkLabel pcName;
        Label fileSize;
        LinkLabel fileName;
        Label fileContent;
       

        public string key = "";
        public string query = "";

        public frmResults()
        {
            InitializeComponent();
        }

        private void frmResults_Load(object sender, EventArgs e)
        {
            SearchTool search = new SearchTool();
            search.Close();
            
            lblCompleted.Visible = true;
            lblResults.Visible = true;

                data.DBReader(query );
                if (data.dr.HasRows)
                {
                    while (data.dr.Read())
                    {
                        pcName = new LinkLabel();
                        pcName.AutoSize = true;
                        pcName.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                        pcName.Location = new Point(10, pcCount);
                        pcName.Text = data.dr[0].ToString();
                        this.Controls.Add(pcName);
                        pcName.Click += new System.EventHandler(link_click);

                        fileSize = new Label();
                        fileSize.AutoSize = true;
                        fileSize.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                        fileSize.Location = new Point(100, pcCount);
                        fileSize.Text = "File Size is " + data.dr[3].ToString() + " KB";
                        this.Controls.Add(fileSize);
                        pcCount = pcCount + 100;

                        fileName = new LinkLabel();
                        fileName.AutoSize = true;
                        fileName.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                        fileName.Location = new Point(10, fileCount);
                        fileName.Text = data.dr[1].ToString();
                        this.Controls.Add(fileName);
                        fileCount = fileCount + 100;
                        fileName.Click += new System.EventHandler(file_click);

                        fileContent = new Label();
                        fileContent.AutoSize = true;
                        fileContent.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                        this.fileContent.ForeColor = System.Drawing.Color.Green;
                        fileContent.Location = new Point(10, contentCount);
                        fileContent.Text = data.dr[2].ToString();
                        this.Controls.Add(fileContent);
                        contentCount = contentCount + 100;

                    }
                    lblResults.Text = "Results for '" + key  + "'";
                }
                else
                {
                    data.DBReaderClose();
                    data.DBReader(query );
                    if (data.dr.HasRows)
                    {
                        while (data.dr.Read())
                        {
                            pcName = new LinkLabel();
                            pcName.AutoSize = true;
                            pcName.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                            pcName.Location = new Point(10, pcCount);
                            pcName.Text = data.dr[0].ToString();
                            this.Controls.Add(pcName);

                            fileSize = new Label();
                            fileSize.AutoSize = true;
                            fileSize.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                            fileSize.Location = new Point(100, pcCount);
                            fileSize.Text = "File Size is " + data.dr[3].ToString() + " KB";
                            this.Controls.Add(fileSize);
                            pcCount = pcCount + 100;

                            fileName = new LinkLabel();
                            fileName.AutoSize = true;
                            fileName.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                            fileName.Location = new Point(10, fileCount);
                            fileName.Text = data.dr[1].ToString();
                            this.Controls.Add(fileName);
                            fileCount = fileCount + 100;

                            fileContent = new Label();
                            fileContent.AutoSize = true;
                            fileContent.Font = new System.Drawing.Font("Palatino Linotype", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                            this.fileContent.ForeColor = System.Drawing.Color.Green;
                            fileContent.Location = new Point(10, contentCount);
                            fileContent.Text = data.dr[2].ToString();
                            this.Controls.Add(fileContent);
                            contentCount = contentCount + 100;
                        }

                        lblResults.Text = "Results for '" + key + "'";


                    }
                    else
                    {
                        MessageBox.Show("No Matching was found");
                    }

                }
            }
          
   

        private void link_click(object sender, System.EventArgs e)
        {
            LinkLabel currentLabel = (LinkLabel)sender;
            MessageBox.Show(currentLabel.Name.ToString());
        }

        private void file_click(object sender, System.EventArgs e)
        {
            LinkLabel fileName = (LinkLabel)sender;
            try
            {
                System.Diagnostics.Process.Start(fileName.Text);
            }
            catch (Exception ex)
            {
                MessageBox.Show("The File not in the physical Location. The file may be Deleted");
            }
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            this.Close();
                        
        }
    }
}