using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace HBA_ITDNW07
{
    public partial class ConnectingNodes : Form
    {
        int count=0;
        int maxValue;
        public ConnectingNodes()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            findComputers nb = new findComputers();
            foreach (string pc in nb.getNetworkComputers())
            {
                count = count + 1;
            }
            maxValue = Convert.ToInt32(progressBar1.Maximum) / count;
            timer1.Enabled = true;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            //if (fbdOpen.ShowDialog() == DialogResult.OK)
            //{
            //    // Loop through the files in the directory at the selected path
            //    foreach (string File in Directory.GetFiles(fbdOpen.SelectedPath))
            //    {
            //       // Show the complete file path (including file name)
            //        MessageBox.Show(File);
            //    }
            //}

            
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            try
            {
               
                findComputers nb = new findComputers();
                foreach (string pc in nb.getNetworkComputers())
                {
                    string pcname = "\\\\" + pc + "\\HBA";
                    if (System.IO.Directory.Exists(pcname))
                    {
                        comboBox1.Items.Add(pc);                        
                    }
                    if (Convert.ToInt32(progressBar1.Value) != 90)
                    {
                        progressBar1.Value = Convert.ToInt32(progressBar1.Value) + maxValue;                        
                    }
                }
                progressBar1.Value = 100;
               
                progressBar1.Visible = false;
                lblMessage.Text = "Systems are Connected";
                DataCollector frm3 = new DataCollector();
                frm3.ShowDialog();

            }
            catch (Exception ex)
            {
                MessageBox.Show("An error occurred trying to access the network computers", "error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                Application.Exit();
            }

            timer1.Enabled = false;
        }

       

       


    }
}
